Ontwikkelaars volgende maand verplicht om apps te bouwen in Xcode

Ontwikkelaars volgende maand verplicht om apps te bouwen in Xcode 13

Apple maakt het binnenkort voor ontwikkelaars verplicht dat hun apps allemaal gemaakt moeten zijn binnen het programma Xcode 13. Alleen dan mogen ze hun apps uitbrengen via de App Store, waardoor ze toegang krijgen tot de platformen van het bedrijf. Xcode is de ontwikkelaarskit van de iPhone-maker.

Apple lichtte ontwikkelaars hier afgelopen dinsdag, via een kleine update, over in. Wanneer ze er zeker van willen zijn dat hun apps door het goedkeuringsproces voor de App Store heen komen, dan moeten ze dus gebouwd zijn in Xcode 13. De nieuwe voorwaarde gaat in per 25 april aanstaande, dus ontwikkelaars hebben nog even.

Apple verplicht gebruik Xcode 13

Verschillende Amerikaanse media hebben het bericht in de update overgenomen, en wij plaatsen daar nu een vertaling van. “Haal alles uit de nieuwe, spannende functies van iOS 15, iPadOS 15 en watchOS 8”, zo begint het bericht. “Daardoor kun je meer intuïtieve en waardevolle gebruikerservaringen realiseren.”

App Store 16x9 iOSDé plek voor je apps en games (Afbeelding: Apple / Bewerking: OMT)

“Verbeter de code van je app door die te herstructureren, waardoor je kunt profiteren van de asynchrone functies van Swift. En met de nieuwste updates voor de SwiftUI, verbeter je apps met nieuwe functies. Denk dan aan een nieuw lijstoverzicht, betere zoekervaringen en ondersteuning voor controlefocusgebieden.”

Ondersteuning voor oude versies

Het is vanaf eind april voor ontwikkelaars dus verplicht gebruik te maken van Xcode 13, voor een betere ondersteuning van iOS 15, iPadOS 15 en watchOS 8. Dat betekent niet dat de ondersteuning voor oudere versies wegvalt. De ontwikkelaarstools bieden nog altijd support aan voor iOS 14, iPadOS 14 en watchOS 7.

Momenteel download je als ontwikkelaar al Xcode 13.3 van Apple. Die versie is sinds 14 maart jongstleden beschikbaar, samen met de nieuwste versies van de besturingssystemen iOS, iPadOS en meer. De vorige versie van Xcode, versie 13.2, leverde developers flink wat problemen op, die met 13.3 opgelost werden.